Package org.acplt.oncrpc

## Interface XdrAble

- All Known Implementing Classes:
    `OncRpcDumpResult`, `OncRpcGetPortResult`, `OncRpcServerIdent`, `XdrBoolean`, `XdrByte`, `XdrBytes`, `XdrChar`, `XdrDouble`, `XdrDynamicOpaque`, `XdrFloat`, `XdrInt`, `XdrLong`, `XdrOpaque`, `XdrShort`, `XdrString`, `XdrUnion`, `XdrVoid`

      public interface XdrAble

  Defines the interface for all classes that should be able to be serialized into XDR streams, and deserialized or constructed from XDR streams.
  Version:
    $Revision: 1.1.1.1 $ $Date: 2003/08/13 12:03:43 $ $State: Exp $ $Locker: $
  Author:
    Harald Albrecht

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `xdrDecode​(XdrDecodingStream xdr)` | Decodes -- that is: deserializes -- an object from a XDR stream in compliance to RFC 1832.
    `void` | `xdrEncode​(XdrEncodingStream xdr)` | Encodes -- that is: serializes -- an object into a XDR stream in compliance to RFC 1832.

- - ### Method Detail

    - #### xdrEncode

          void xdrEncode​(XdrEncodingStream xdr)
                  throws OncRpcException,
                         java.io.IOException

      Encodes -- that is: serializes -- an object into a XDR stream in compliance to RFC 1832.
      Parameters:
        `xdr` - XDR stream to which information is sent for encoding.
      Throws:
        `OncRpcException` - if an ONC/RPC error occurs.
        `java.io.IOException` - if an I/O error occurs.

    - #### xdrDecode

          void xdrDecode​(XdrDecodingStream xdr)
                  throws OncRpcException,
                         java.io.IOException

      Decodes -- that is: deserializes -- an object from a XDR stream in compliance to RFC 1832.
      Parameters:
        `xdr` - XDR stream from which decoded information is retrieved.
      Throws:
        `OncRpcException` - if an ONC/RPC error occurs.
        `java.io.IOException` - if an I/O error occurs.